@import url('https://fonts.googleapis.com/css?family=Montserrat&display=swap');

* {
  box-sizing: border-box;
}

body {
    background-image: linear-gradient(to top, #d299c2 0%, #fef9d7 100%);
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    min-height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 300px;
    width: 300px;
    margin: auto;
    position: relative;
    transform: scale(1);
}

.gradient-circle {
    background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(0,212,255,1) 97%, rgba(40,85,77,1) 100%);
    height: 320px;
    width: 320px;
    top: -10px;
    left: -10px;
    z-index: -2;
    border-radius: 50%;
    position: absolute;
    top: -10px;
    left: -10px;
}

.circle {
    background-color: #010f1c;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 80%;
}

.pointer-container {
    position: absolute;
    top: -40px;
    left: 140px;
    width: 20px;
    height: 190px;
    animation: rotate 7.5s linear forwards infinite;
    transform-origin:bottom center;
}
.container.grow {
    animation: grow 3s linear forwards
}

.container.shrink {
    animation: shrink 3s linear  backwards;
}
.pointer {
    background-color: rgb(29, 15, 231);
    border-radius: 50%;
    height: 20px;
    width: 20px;
    display: block;
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
        box-sizing: content-box;
    }
    to {
        transform: rotate(360deg);
        box-sizing: border-box;
    }
}

@keyframes grow {
    from {
        transform: scale(1);
    }

    to {
        transform: scale(1.2);
    }
}

@keyframes shrink {
    from {
        transform: scale(1.2);
    }

    to {
        transform: scale(1);
    }
    
}




